# Answer

{% hint style="info" %}
**API SUBPATH**: eva-answer
{% endhint %}

### Pagination and Listing

{% openapi src="/files/Fb24SOLLt7BB0yqwodQv" path="/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/answer" method="get" %}
[eva-answer-4.7.1.yaml](https://4008706377-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fn6zS4HeuuVpRHZEvDiFU%2Fuploads%2F1MoDn5sHv5dk7XHIoS7F%2Feva-answer-4.7.1.yaml?alt=media\&token=7c524cb8-e09d-473a-9381-671e15d74c52)
{% endopenapi %}

{% openapi src="/files/Fb24SOLLt7BB0yqwodQv" path="/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/answer/not-expected" method="get" %}
[eva-answer-4.7.1.yaml](https://4008706377-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fn6zS4HeuuVpRHZEvDiFU%2Fuploads%2F1MoDn5sHv5dk7XHIoS7F%2Feva-answer-4.7.1.yaml?alt=media\&token=7c524cb8-e09d-473a-9381-671e15d74c52)
{% endopenapi %}

{% openapi src="/files/AH7jisMfAQ5NHOOHVQbC" path="/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/answer/quicksearch" method="get" %}
[eva-answer-4.7.0.yaml](https://4008706377-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fn6zS4HeuuVpRHZEvDiFU%2Fuploads%2FDjQbZdn2Kf0mSgSZQR4w%2Feva-answer-4.7.0.yaml?alt=media\&token=42256efb-eeb2-4262-bb7a-98d1b825b43a)
{% endopenapi %}

{% openapi src="/files/AH7jisMfAQ5NHOOHVQbC" path="/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/answer/not-expected/quicksearch" method="get" %}
[eva-answer-4.7.0.yaml](https://4008706377-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fn6zS4HeuuVpRHZEvDiFU%2Fuploads%2FDjQbZdn2Kf0mSgSZQR4w%2Feva-answer-4.7.0.yaml?alt=media\&token=42256efb-eeb2-4262-bb7a-98d1b825b43a)
{% endopenapi %}

{% openapi src="/files/AH7jisMfAQ5NHOOHVQbC" path="/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/answer/list-on-flow" method="get" %}
[eva-answer-4.7.0.yaml](https://4008706377-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fn6zS4HeuuVpRHZEvDiFU%2Fuploads%2FDjQbZdn2Kf0mSgSZQR4w%2Feva-answer-4.7.0.yaml?alt=media\&token=42256efb-eeb2-4262-bb7a-98d1b825b43a)
{% endopenapi %}

### CRUD Methods

{% openapi src="/files/Fb24SOLLt7BB0yqwodQv" path="/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/answer" method="post" %}
[eva-answer-4.7.1.yaml](https://4008706377-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2Fn6zS4HeuuVpRHZEvDiFU%2Fuploads%2F1MoDn5sHv5dk7XHIoS7F%2Feva-answer-4.7.1.yaml?alt=media\&token=7c524cb8-e09d-473a-9381-671e15d74c52)
{% endopenapi %}

## GET /org/{orgUUID}/env/{envUUID}/bot/{botUUID}/answer/{uuid}

> Retrieves info from a specific given answer.

```json
{"openapi":"3.0.1","info":{"title":"eva-answer API Documentation","version":"4.8.0"},"tags":[],"paths":{"/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/answer/{uuid}":{"get":{"tags":["answer-controller"],"summary":"Retrieves info from a specific given answer.","operationId":"findAnswer","parameters":[{"name":"orgUUID","in":"path","description":"A valid uuid of an organization","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"A valid uuid of an environment","required":true,"schema":{"type":"string"}},{"name":"botUUID","in":"path","description":"The UUID of the bot whose entity you are searching belong to","required":true,"schema":{"type":"string"}},{"name":"uuid","in":"path","description":"The answer's uuid","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AnswersDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ValidationError"},{"$ref":"#/components/schemas/StandardError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"AnswersDTO":{"type":"object","properties":{"answer":{"$ref":"#/components/schemas/AnswerDTO"},"flows":{"type":"array","description":"A list of Flows associated to this answer","items":{"$ref":"#/components/schemas/FlowResponseDTO"}}},"description":"A Structure holding a mapping of an answer's information and all Flows associated to it."},"AnswerDTO":{"type":"object","properties":{"id":{"type":"string","description":"The answer's String uuid."},"name":{"type":"string","description":"The answer's name."},"description":{"type":"string","description":"A freeform description of this answer."},"evaluable":{"type":"integer","description":"A boolean indicator representing if this answer is an evaluable answer.","format":"int32"},"transactional":{"type":"integer","description":"A boolean indicator representing if this answer is a transactional answer.","format":"int32"},"isMasked":{"type":"boolean","description":"Whether or not this answer is masked."},"updatedAt":{"type":"string","description":"An ISO formatted date of the last update of this answer.","format":"date-time"},"updatedBy":{"type":"string","description":"Uuid of the user that has last updated this answer."},"tags":{"uniqueItems":true,"type":"array","description":"A list of all tags associated to this answer.","items":{"$ref":"#/components/schemas/TagSimpleDTO"}},"webhook":{"type":"string","description":"A freeform string to code up a webhook for this answer."},"type":{"type":"string","description":"The answer's type."},"headers":{"type":"object","description":"The answer's Headers. This object is a freeform JSON which must be parser as an object when receiving it."},"answerTemplates":{"uniqueItems":true,"type":"array","description":"A list of the answer's templates.","items":{"$ref":"#/components/schemas/AnswerTemplateResponseDTO"}},"executionLimit":{"type":"integer","description":"The number of times an answer can be executed.","format":"int64"},"rephraseEnabled":{"type":"boolean","description":"Whether the rephrasing feature is active in this answer."},"rephrasingTemperature":{"type":"number","description":"The temperature used in the rephrasing feature for this answer.","format":"double"},"rephrasingMemory":{"type":"integer","description":"The amount of previous user inputs used to modify the rephrasing feature.","format":"int32"},"rephrasingBlacklist":{"type":"string","description":"A number os space-separated blacklisted words to evoid during rephrasing."},"user":{"$ref":"#/components/schemas/UserDTO"},"transactionalAuth":{"$ref":"#/components/schemas/AuthDTO"}},"description":"A Structure representing all data of an answer, containing it's templates."},"TagSimpleDTO":{"type":"object","properties":{"uuid":{"type":"string","description":"Uuid of the tag, if existing. Not required, but will speed up the creation if present."},"name":{"type":"string","description":"Name of the tag. Expected to be in a '#term' format, hash included."}},"description":"Structure used to represent a tag association."},"AnswerTemplateResponseDTO":{"required":["channelId","channelTypeId"],"type":"object","properties":{"id":{"type":"string","description":"The answer template's String uuid."},"content":{"$ref":"#/components/schemas/ContentDTO"},"type":{"type":"string","description":"The answer template's type."},"channelTypeId":{"type":"integer","description":"The UUID of the assigned channel's type.","format":"int64"},"channelId":{"type":"string","description":"A Uuid of a channel assigned to this template."},"technicalText":{"type":"string","description":"A freeform text with technical configurations."},"translations":{"uniqueItems":true,"type":"array","description":"Translated answer templates","items":{"$ref":"#/components/schemas/AnswerTranslateResponseDTO"}}},"description":"A Structure representing all data of an answer template."},"ContentDTO":{"type":"object","properties":{"content":{"type":"object","description":"A Freeform, JSON structure representing this content"},"description":{"type":"string","description":"The description on this answer template's content"},"type":{"type":"string","description":"This answer template's type"},"buttons":{"type":"array","description":"A list of JSON objects representing buttons.","items":{"type":"object","description":"A list of JSON objects representing buttons."}},"quickReply":{"type":"array","description":"A list of JSON objects representing quick replies.","items":{"type":"object","description":"A list of JSON objects representing quick replies."}},"name":{"type":"string","description":"This content's name"}},"description":"A Structure representing the content of an answers template usage."},"AnswerTranslateResponseDTO":{"type":"object","properties":{"answerTemplateUUID":{"type":"string"},"locale":{"type":"string"},"content":{"type":"string"}},"description":"Translated answer templates"},"UserDTO":{"type":"object","properties":{"name":{"type":"string","description":"The user's name"},"imageUrl":{"type":"string","description":"The user's image URL"}},"description":"A simplified structure representing minimal data of a user."},"AuthDTO":{"type":"object","properties":{"authType":{"$ref":"#/components/schemas/AuthTypeEnum"},"basicToken":{"type":"string","description":"Basic Token for Basic Auth Header"},"bearerToken":{"type":"string","description":"Bearer Token for Bearer Token Auth Header"},"oauthUrl":{"type":"string","description":"URL for authentication with oAuth Method"},"grantType":{"$ref":"#/components/schemas/GrantTypeEnum"},"clientId":{"type":"string","description":"Client Id to be used with oAuth Method"},"clientSecret":{"type":"string","description":"Client Secret to be used with oAuth Method and grant type 'client_credentials'"},"authUsername":{"type":"string","description":"Username to be used with oAuth Method and grant type 'password'"},"authPassword":{"type":"string","description":"Password to be used with oAuth Method and grant type 'password'"}},"description":"This class contains all the necessary information for different authentication types. It validates whether the provided authentication data is complete based on the specified type."},"AuthTypeEnum":{"type":"string","description":"Enum describing if cell uses an auth method, and which.","enum":["AuthTypeEnum.AUTH_NONE(value=AUTH_NONE)","AuthTypeEnum.AUTH_BASIC(value=AUTH_BASIC)","AuthTypeEnum.AUTH_BEARER(value=AUTH_BEARER)","AuthTypeEnum.AUTH_OAUTH(value=AUTH_OAUTH)"]},"GrantTypeEnum":{"type":"string","description":"Grant type to be used with oAuth Method","enum":["GrantTypeEnum.CLIENT_CREDENTIALS(value=CLIENT_CREDENTIALS)","GrantTypeEnum.PASSWORD(value=PASSWORD)","GrantTypeEnum.REFRESH_TOKEN(value=REFRESH_TOKEN)"]},"FlowResponseDTO":{"type":"object","properties":{"uuid":{"type":"string","description":"Uuid of the flow."},"name":{"type":"string","description":"Name of the flow"}},"description":"Structure representing a flow's basic information."},"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```

## PUT /org/{orgUUID}/env/{envUUID}/bot/{botUUID}/answer/{uuid}

> Updates an answer.

```json
{"openapi":"3.0.1","info":{"title":"eva-answer API Documentation","version":"4.8.0"},"tags":[],"paths":{"/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/answer/{uuid}":{"put":{"tags":["answer-controller"],"summary":"Updates an answer.","operationId":"updateAnswer","parameters":[{"name":"orgUUID","in":"path","description":"A valid uuid of an organization","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"A valid uuid of an environment","required":true,"schema":{"type":"string"}},{"name":"botUUID","in":"path","description":"The UUID of the bot whose entity you are searching belong to","required":true,"schema":{"type":"string"}},{"name":"uuid","in":"path","description":"The answer's uuid","required":true,"schema":{"type":"string"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AnswerRequestDTO"}}},"required":true},"responses":{"200":{"description":"Ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AnswersDTO"}}}},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ValidationError"},{"$ref":"#/components/schemas/StandardError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"AnswerRequestDTO":{"required":["answerTemplates","evaluable","name","transactional"],"type":"object","properties":{"name":{"type":"string","description":"The answer's name."},"description":{"type":"string","description":"A freeform description of this answer."},"tags":{"uniqueItems":true,"type":"array","description":"A list of all tags associated to this answer.","items":{"$ref":"#/components/schemas/TagsDTO"}},"answerTemplates":{"uniqueItems":true,"type":"array","description":"A list of the answer's templates.","items":{"$ref":"#/components/schemas/AnswerTemplateRequestDTO"}},"webhook":{"type":"string","description":"A freeform string to code up a webhook for this answer."},"transactional":{"type":"boolean","description":"A boolean indicator representing if this answer is a transactional answer."},"evaluable":{"type":"boolean","description":"A boolean indicator representing if this answer is an evaluable answer."},"isMasked":{"type":"boolean","description":"Whether or not this answer is masked."},"headers":{"type":"object","description":"The answer's Headers. This object is a freeform JSON which must be parser as an object when receiving it."},"type":{"type":"string","description":"The answer's type."},"executionLimit":{"type":"integer","description":"The number of times an answer can be executed.","format":"int64"},"rephraseEnabled":{"type":"boolean","description":"Wether the rephrasing feature is active in this answer."},"rephrasingTemperature":{"type":"number","description":"The temperature used in the rephrasing feature for this answer.","format":"double"},"rephrasingMemory":{"type":"integer","description":"The ammount of previous user inputs used to modify the rephrasing feature.","format":"int32"},"rephrasingBlacklist":{"type":"string","description":"A number os space-separated blacklisted words to evoid during rephrasing."},"transactionalAuth":{"$ref":"#/components/schemas/AuthDTO"},"validAuthType":{"type":"boolean"}},"description":"This class contains all the necessary information for different authentication types. It validates whether the provided authentication data is complete based on the specified type."},"TagsDTO":{"required":["objectRef","tagTypeId"],"type":"object","properties":{"uuid":{"type":"string","description":"Uuid of the tag, if existing. Not required, but will speed up the search if present."},"name":{"type":"string","description":"Name of the tag."},"objectRef":{"type":"string","description":"The Uuid of the object associated with it. The kind of object is declared in tagTypeId"},"tagTypeId":{"type":"integer","description":"The type of object this tag shall refer to: \n\n1 - Intent \n\n2 - Entity \n\n3 - Answer \n\n4 - Flow \n\n6 - Service \n\n7 - Question \n\n5 - Unused stubs (Flow)","format":"int64"}},"description":"A list of all tags associated to this answer."},"AnswerTemplateRequestDTO":{"required":["channelId","channelTypeId"],"type":"object","properties":{"id":{"type":"string","description":"The answer template's String uuid, if already existing. When null, a new one is created."},"content":{"type":"object","description":"A Structure containing usages of this template. This is a freeform JSON."},"type":{"type":"string","description":"The answer template's type."},"channelTypeId":{"type":"integer","description":"The UUID of the assigned channel's type.","format":"int64"},"channelId":{"type":"string","description":"A Uuid of a channel assigned to this template."},"technicalText":{"type":"string","description":"A freeform text with technical configurations."}},"description":"A list of the answer's templates."},"AuthDTO":{"type":"object","properties":{"authType":{"$ref":"#/components/schemas/AuthTypeEnum"},"basicToken":{"type":"string","description":"Basic Token for Basic Auth Header"},"bearerToken":{"type":"string","description":"Bearer Token for Bearer Token Auth Header"},"oauthUrl":{"type":"string","description":"URL for authentication with oAuth Method"},"grantType":{"$ref":"#/components/schemas/GrantTypeEnum"},"clientId":{"type":"string","description":"Client Id to be used with oAuth Method"},"clientSecret":{"type":"string","description":"Client Secret to be used with oAuth Method and grant type 'client_credentials'"},"authUsername":{"type":"string","description":"Username to be used with oAuth Method and grant type 'password'"},"authPassword":{"type":"string","description":"Password to be used with oAuth Method and grant type 'password'"}},"description":"This class contains all the necessary information for different authentication types. It validates whether the provided authentication data is complete based on the specified type."},"AuthTypeEnum":{"type":"string","description":"Enum describing if cell uses an auth method, and which.","enum":["AuthTypeEnum.AUTH_NONE(value=AUTH_NONE)","AuthTypeEnum.AUTH_BASIC(value=AUTH_BASIC)","AuthTypeEnum.AUTH_BEARER(value=AUTH_BEARER)","AuthTypeEnum.AUTH_OAUTH(value=AUTH_OAUTH)"]},"GrantTypeEnum":{"type":"string","description":"Grant type to be used with oAuth Method","enum":["GrantTypeEnum.CLIENT_CREDENTIALS(value=CLIENT_CREDENTIALS)","GrantTypeEnum.PASSWORD(value=PASSWORD)","GrantTypeEnum.REFRESH_TOKEN(value=REFRESH_TOKEN)"]},"AnswersDTO":{"type":"object","properties":{"answer":{"$ref":"#/components/schemas/AnswerDTO"},"flows":{"type":"array","description":"A list of Flows associated to this answer","items":{"$ref":"#/components/schemas/FlowResponseDTO"}}},"description":"A Structure holding a mapping of an answer's information and all Flows associated to it."},"AnswerDTO":{"type":"object","properties":{"id":{"type":"string","description":"The answer's String uuid."},"name":{"type":"string","description":"The answer's name."},"description":{"type":"string","description":"A freeform description of this answer."},"evaluable":{"type":"integer","description":"A boolean indicator representing if this answer is an evaluable answer.","format":"int32"},"transactional":{"type":"integer","description":"A boolean indicator representing if this answer is a transactional answer.","format":"int32"},"isMasked":{"type":"boolean","description":"Whether or not this answer is masked."},"updatedAt":{"type":"string","description":"An ISO formatted date of the last update of this answer.","format":"date-time"},"updatedBy":{"type":"string","description":"Uuid of the user that has last updated this answer."},"tags":{"uniqueItems":true,"type":"array","description":"A list of all tags associated to this answer.","items":{"$ref":"#/components/schemas/TagSimpleDTO"}},"webhook":{"type":"string","description":"A freeform string to code up a webhook for this answer."},"type":{"type":"string","description":"The answer's type."},"headers":{"type":"object","description":"The answer's Headers. This object is a freeform JSON which must be parser as an object when receiving it."},"answerTemplates":{"uniqueItems":true,"type":"array","description":"A list of the answer's templates.","items":{"$ref":"#/components/schemas/AnswerTemplateResponseDTO"}},"executionLimit":{"type":"integer","description":"The number of times an answer can be executed.","format":"int64"},"rephraseEnabled":{"type":"boolean","description":"Whether the rephrasing feature is active in this answer."},"rephrasingTemperature":{"type":"number","description":"The temperature used in the rephrasing feature for this answer.","format":"double"},"rephrasingMemory":{"type":"integer","description":"The amount of previous user inputs used to modify the rephrasing feature.","format":"int32"},"rephrasingBlacklist":{"type":"string","description":"A number os space-separated blacklisted words to evoid during rephrasing."},"user":{"$ref":"#/components/schemas/UserDTO"},"transactionalAuth":{"$ref":"#/components/schemas/AuthDTO"}},"description":"A Structure representing all data of an answer, containing it's templates."},"TagSimpleDTO":{"type":"object","properties":{"uuid":{"type":"string","description":"Uuid of the tag, if existing. Not required, but will speed up the creation if present."},"name":{"type":"string","description":"Name of the tag. Expected to be in a '#term' format, hash included."}},"description":"Structure used to represent a tag association."},"AnswerTemplateResponseDTO":{"required":["channelId","channelTypeId"],"type":"object","properties":{"id":{"type":"string","description":"The answer template's String uuid."},"content":{"$ref":"#/components/schemas/ContentDTO"},"type":{"type":"string","description":"The answer template's type."},"channelTypeId":{"type":"integer","description":"The UUID of the assigned channel's type.","format":"int64"},"channelId":{"type":"string","description":"A Uuid of a channel assigned to this template."},"technicalText":{"type":"string","description":"A freeform text with technical configurations."},"translations":{"uniqueItems":true,"type":"array","description":"Translated answer templates","items":{"$ref":"#/components/schemas/AnswerTranslateResponseDTO"}}},"description":"A Structure representing all data of an answer template."},"ContentDTO":{"type":"object","properties":{"content":{"type":"object","description":"A Freeform, JSON structure representing this content"},"description":{"type":"string","description":"The description on this answer template's content"},"type":{"type":"string","description":"This answer template's type"},"buttons":{"type":"array","description":"A list of JSON objects representing buttons.","items":{"type":"object","description":"A list of JSON objects representing buttons."}},"quickReply":{"type":"array","description":"A list of JSON objects representing quick replies.","items":{"type":"object","description":"A list of JSON objects representing quick replies."}},"name":{"type":"string","description":"This content's name"}},"description":"A Structure representing the content of an answers template usage."},"AnswerTranslateResponseDTO":{"type":"object","properties":{"answerTemplateUUID":{"type":"string"},"locale":{"type":"string"},"content":{"type":"string"}},"description":"Translated answer templates"},"UserDTO":{"type":"object","properties":{"name":{"type":"string","description":"The user's name"},"imageUrl":{"type":"string","description":"The user's image URL"}},"description":"A simplified structure representing minimal data of a user."},"FlowResponseDTO":{"type":"object","properties":{"uuid":{"type":"string","description":"Uuid of the flow."},"name":{"type":"string","description":"Name of the flow"}},"description":"Structure representing a flow's basic information."},"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```

## DELETE /org/{orgUUID}/env/{envUUID}/bot/{botUUID}/answer/{uuid}

> Deletes an answer. The answer is disabled via the 'removed' parameter rather than deleted from the DB.

```json
{"openapi":"3.0.1","info":{"title":"eva-answer API Documentation","version":"4.8.0"},"tags":[],"paths":{"/org/{orgUUID}/env/{envUUID}/bot/{botUUID}/answer/{uuid}":{"delete":{"tags":["answer-controller"],"summary":"Deletes an answer. The answer is disabled via the 'removed' parameter rather than deleted from the DB.","operationId":"deleteAnswer","parameters":[{"name":"orgUUID","in":"path","description":"A valid uuid of organization","required":true,"schema":{"type":"string"}},{"name":"envUUID","in":"path","description":"A valid uuid of environment","required":true,"schema":{"type":"string"}},{"name":"botUUID","in":"path","description":"A valid uuid of bot","required":true,"schema":{"type":"string"}},{"name":"uuid","in":"path","description":"The answer's uuid","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Ok"},"400":{"description":"Bad Request","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"401":{"description":"Unauthorized","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"403":{"description":"Forbidden","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"404":{"description":"Not Found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"409":{"description":"Conflict","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}},"422":{"description":"Unprocessable Entity","content":{"*/*":{"schema":{"oneOf":[{"$ref":"#/components/schemas/ValidationError"},{"$ref":"#/components/schemas/StandardError"}]}}}},"500":{"description":"Internal Server Error","content":{"*/*":{"schema":{"$ref":"#/components/schemas/StandardError"}}}}}}}},"components":{"schemas":{"StandardError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"}}},"ValidationError":{"type":"object","properties":{"timestamp":{"type":"integer","format":"int64"},"errorCode":{"type":"string"},"errorType":{"type":"string","enum":["API_ERROR","API_INFO","USER_ERROR"]},"message":{"type":"string"},"path":{"type":"string"},"details":{"type":"array","items":{"$ref":"#/components/schemas/FieldMessage"}}}},"FieldMessage":{"type":"object","properties":{"fieldName":{"type":"string"},"message":{"type":"string"},"errorCode":{"type":"string"}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.conversational-ai.syntphony.com/user-guide/api-docs/api-guidelines/management-api/instance-api/answer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
